package {
	import flash.display.MovieClip;
	import flash.display.SimpleButton;
	import flash.events.*;
	import Field;
	
	
	public class Venetianization extends MovieClip {
		
		private var field:Field = null;
		private var fadeBegin:Number = 0;
			
		public function Venetianization() {
			this.load();
		}
		
		private function load() {
			playButton.addEventListener( MouseEvent.MOUSE_UP, this.begin );
			this.field = new Field( 41, 31, this.stage.stageWidth, this.stage.stageHeight );
			this.addChild( this.field );
		}
		
		private function fadeOut( e:Event ) {
			var current = (new Date()).getTime();
			var diff = current - this.fadeBegin;
			if( diff < 1000 ) {
				title.alpha = 1 - diff/1000;
				playButton.alpha = 1 - diff/1000;
			}
			else if( diff > 1500 ) {
				title.alpha = 0;
				playButton.alpha = 0;
				this.removeEventListener( Event.ENTER_FRAME, this.fadeOut );
				this.field.begin( this.end );
			}
		}
		
		public function begin( e:Event ) {
			playButton.removeEventListener( MouseEvent.MOUSE_UP, this.begin );
			this.fadeBegin = (new Date()).getTime();
			this.addEventListener( Event.ENTER_FRAME, this.fadeOut );
		}
		
		public function end() {
			title.alpha = 1;
			playButton.alpha = 1;
			this.load();
		}
	}
}